# Toutes les configurations destinées au chart Nextcloud 
# doivent être indentées sous la clé 'nextcloud'
nextcloud:
  replicaCount: 1
  # 1. Indispensable pour que Traefik crée la règle de routage
  # Configuration Réseau / Traefik
  ingress:
    enabled: true
    className: traefik
    path: /
    pathType: Prefix
    hosts:
      - nextcloud-prd.example.com

  # Configuration de l'application
  nextcloud:
    host: nextcloud-prd.example.com
    username: admin
    password: prd
    
    # AJOUTEZ CE BLOC : Autorise Kubernetes à interroger le pod
    configs:
      trusted_domains.config.php: |-
        <?php
        $CONFIG = array (
          'trusted_domains' => 
          array (
            0 => 'localhost',
            1 => 'nextcloud-prd.example.com',
            2 => '127.0.0.1',
          ),
        );

  # # nextcloud:
  # host: nextcloud-prd.example.com
  # username: admin
  # password: prd

  persistence:
    enabled: true
    size: 2Gi